<?php

namespace Drupal\push_notifications_registration_tokens\Plugin\views\field;

use Drupal\views\Attribute\ViewsField;
use Drupal\views\Plugin\views\field\BulkForm;

/**
 * Defines a push notifications registration tokens bulk form element.
 */
#[ViewsField("push_notifications_registration_tokens_bulk_form")]
class PushNotificationsRegistrationTokensBulkForm extends BulkForm {

  /**
   * {@inheritdoc}
   */
  protected function emptySelectedMessage() {
    return $this->t('No registration tokens selected.');
  }

}
