<?php

namespace Drupal\push_notifications_registration_tokens;

use Drupal\views\EntityViewsData;

/**
 * Provides the views data for the pn_registration_token entity type.
 */
class RegistrationTokensViewsData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    $data['pn_registration_token']['pn_registration_token_bulk_form'] = [
      'title' => $this->t('Registration token operations bulk form'),
      'help' => $this->t('Add a form element that lets you run operations on multiple registration tokens.'),
      'field' => [
        'id' => 'push_notifications_registration_tokens_bulk_form',
      ],
    ];

    return $data;
  }

}
